<?php
/*-----------------------------------------------------------------------------------

	Plugin Name: MyThemeShop Contact Form
	Version: 2.0.1
	
-----------------------------------------------------------------------------------*/

class mts_contact_form_widget extends WP_Widget {

	public function __construct() {
		parent::__construct(
	 		'mts_contact_form_widget',
			__('MyThemeShop: Contact Form','mythemeshop'),
			array( 'description' => __( 'Displays Contact Form.','mythemeshop' ) )
		);
	}

 	public function form( $instance ) {
		$defaults = array(
			'mail' => ''
		);
		$instance = wp_parse_args((array) $instance, $defaults);
		$title = isset( $instance[ 'title' ] ) ? $instance[ 'title' ] : __( 'Contact Us','mythemeshop' );
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:','mythemeshop' ); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<?php 
	}

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		return $instance;
	}

	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $before_widget;
		if ( ! empty( $title ) ) echo $before_title . $title . $after_title;
			mts_contact_form();
		echo $after_widget;
	}

}

// Register widget
add_action( 'widgets_init', 'register_mts_contact_form_widget' );
function register_mts_contact_form_widget() {
	register_widget( 'mts_contact_form_widget' );
}