<!DOCTYPE html>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php mts_meta(); ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_head(); ?>
</head>
<body id="blog" <?php body_class('main'); ?> itemscope itemtype="http://schema.org/WebPage">       
	<div class="main-container">
		<header id="site-header" role="banner" itemscope itemtype="http://schema.org/WPHeader">
			<?php if ( $mts_options['mts_show_top_header'] == '1' ) { ?>
			    <div id="primary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
					<div class="container">
						<?php if ( $mts_options['mts_phone_number'] != '' || $mts_options['mts_email_address'] != '' ) { ?>
					    	<div id="contact-info">
								<?php echo !empty( $mts_options['mts_phone_number'] ) ? '<span><i class="fa fa-phone"></i> '.$mts_options['mts_phone_number'].'</span>' : '';
								echo !empty( $mts_options['mts_email_address'] ) ? '<span><i class="fa fa-envelope"></i> '.$mts_options['mts_email_address'].'</span>' : ''; ?>
							</div>
						<?php } ?>
						
						<?php if ( $mts_options['mts_show_header_search'] == '1' ) { ?>
							<div id="header-search">
								<?php get_search_form(); ?>
							</div>
						<?php } ?>

						<?php if ( $mts_options['mts_show_primary_nav'] == '1' ) { ?>
							<nav class="navigation clearfix<?php if ( $mts_options['mts_show_secondary_nav'] !== '1' ) echo ' mobile-menu-wrapper'; ?>">
								<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
									<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
								<?php } else { ?>
									<ul class="menu clearfix">
										<?php wp_list_pages('title_li='); ?>
									</ul>
								<?php } ?>
							</nav>	
						<?php } ?>
					</div>
				</div>
			<?php } ?>
			<?php if( $mts_options['mts_sticky_nav'] == '1' ) { ?>
				<div id="catcher" class="clear" ></div>
				<div class="sticky-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
			<?php } ?>
			<div id="header">
				<div class="container">
					<div class="logo-wrap">
						<?php if ($mts_options['mts_logo'] != '') { ?>
							<?php if( is_front_page() || is_home() || is_404() ) { ?>
								<h1 id="logo" class="image-logo" itemprop="headline">
									<a href="<?php echo home_url(); ?>"><img src="<?php echo $mts_options['mts_logo']; ?>" alt="<?php bloginfo( 'name' ); ?>"<?php if (!empty($mts_options['mts_logo2x'])) { echo ' data-at2x="'.$mts_options['mts_logo2x'].'"'; } ?>></a>
								</h1><!-- END #logo -->
							<?php } else { ?>
							    <h2 id="logo" class="image-logo" itemprop="headline">
									<a href="<?php echo home_url(); ?>"><img src="<?php echo $mts_options['mts_logo']; ?>" alt="<?php bloginfo( 'name' ); ?>"<?php if (!empty($mts_options['mts_logo2x'])) { echo ' data-at2x="'.$mts_options['mts_logo2x'].'"'; } ?>></a>
								</h2><!-- END #logo -->
							<?php } ?>
						<?php } else { ?>
							<?php if( is_front_page() || is_home() || is_404() ) { ?>
								<h1 id="logo" class="text-logo" itemprop="headline">
									<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a>
								</h1><!-- END #logo -->
							<?php } else { ?>
								<h2 id="logo" class="text-logo" itemprop="headline">
									<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a>
								</h2><!-- END #logo -->
							<?php } ?>
						<?php } ?>
					</div>					
					<?php if ( $mts_options['mts_show_cart_button'] == '1' ) { mts_cart(); } ?>
					<?php if ( $mts_options['mts_show_secondary_nav'] == '1' ) { ?>					
						<div id="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
							<a href="#" id="pull" class="toggle-mobile-menu"><?php _e('Menu','mythemeshop'); ?></a>
							<nav class="navigation clearfix mobile-menu-wrapper">
								<?php if ( has_nav_menu( 'secondary-menu' ) ) { ?>
									<?php wp_nav_menu( array( 'theme_location' => 'secondary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
								<?php } else { ?>
									<ul class="menu clearfix">
										<?php wp_list_categories('title_li='); ?>
									</ul>
								<?php } ?>
							</nav>
						</div>  
					<?php } ?>        
				</div><!--.container-->
			</div><!--#header-->
			<?php if( $mts_options['mts_sticky_nav'] == '1' ) { ?>
				</div><!--Sticky-->
			<?php } ?>
		</header>
