<?php
$mts_options = get_option(MTS_THEME_NAME);

$mts_homepage_blog_title = $mts_options['mts_homepage_blog_title'];

$mts_blog_num = empty( $mts_options['mts_blog_count_home'] ) ? '3' : $mts_options['mts_blog_count_home'];
$mts_home_blog_col = $mts_options['mts_home_blog_col'];

if ( '1' == $mts_home_blog_col ) {
	$cols    = ' one-fourth';
	$thumb_w = 216;
	$thumb_h = 150;
} else {
	$cols    = ' one-third';
	$thumb_w = 302;
	$thumb_h = 150;
}
?>
<div id="blog-feed-home" class="section clearfix">
	<div class="container">
		<?php if ( !empty( $mts_homepage_blog_title ) ) { ?>
			<h3 class="section-title pull-left"><?php echo $mts_homepage_blog_title; ?></h3>
		<?php }?>
		<div class="grid">
		<?php
		$query = new WP_Query();
		$query->query('&ignore_sticky_posts=1&posts_per_page='.$mts_blog_num);
		while ( $query->have_posts() ) : $query->the_post(); ?>
			<article class="home-blog-item grid-box<?php echo $cols; ?>" itemscope itemtype="http://schema.org/BlogPosting">
				<div class="grid-inner home-blog-box-inner">
					<a class="blog-image" href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>">
						<?php
						if ( has_post_thumbnail() ) {

							$post_id = get_the_ID();
							$project_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'full' );
							$project_image = $project_image[0];

							$project_image_url = bfi_thumb( $project_image, array( 'width' => $thumb_w, 'height' => $thumb_h, 'crop' => true ) );

						} else {

							$project_image_url = get_template_directory_uri().'/images/nothumb-'.$thumb_w.'x'.$thumb_h.'.png';
						}
						echo '<img src="' . esc_url( $project_image_url ) . '" alt="' . esc_attr( get_the_title() ) . '" title="' . esc_attr( get_the_title() ) . '" width="'. $thumb_w .'" height="'. $thumb_h .'" loading="lazy" />';
						?>
					</a>
					<?php mts_the_postinfo( 'home_top' );	?>
					<h2 class="project-title title" itemprop="headline"><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<div class="project-description description"><?php echo mts_excerpt(18); ?></div>
					<?php mts_the_postinfo( 'home_bottom' ); ?>
				</div>
			</article>
        <?php endwhile; ?>
        <?php wp_reset_query(); ?>
		</div>
	</div>
</div>