<?php get_header();
$mts_options = get_option(MTS_THEME_NAME);

if ( mts_custom_sidebar() == 'mts_nosidebar' ) {
	$thumb_w = 992;
	$thumb_h = 250;
} else {
	$thumb_w = 613;
	$thumb_h = 250;
} ?>
<div id="page" class="<?php mts_single_page_class(); ?> clearfix">

	<?php $header_animation = mts_get_post_header_effect(); ?>
	<?php if ( 'parallax' === $header_animation ) {?>
		<?php if (mts_get_thumbnail_url()) : ?>
	        <div id="parallax" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div>
	    <?php endif; ?>
	<?php } elseif ( 'zoomout' === $header_animation ) {?>
		 <?php if (mts_get_thumbnail_url()) : ?>
	        <div id="zoom-out-effect"><div id="zoom-out-bg" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div></div>
	    <?php endif; ?>
	<?php } ?>

	<article class="<?php mts_article_class(); ?>">
		<?php if (mts_get_thumbnail_url()) : ?>
			<meta itemprop="image" content="<?php echo mts_get_thumbnail_url(); ?>" />
		<?php endif; ?>
		<div id="content_box" >
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
					<?php
					// Single post parts ordering
					if ( isset( $mts_options['mts_single_post_layout'] ) && is_array( $mts_options['mts_single_post_layout'] ) && array_key_exists( 'enabled', $mts_options['mts_single_post_layout'] ) ) {
						$single_post_parts = $mts_options['mts_single_post_layout']['enabled'];
					} else {
						$single_post_parts = array( 'content' => 'content', 'related' => 'related', 'author' => 'author' );
					}
					foreach( $single_post_parts as $part => $label ) {
						switch ($part) {
							case 'content':
								?>
								<header>
									<div class="inner-page-header border-bottom clearfix">
										<?php
										if ( '1' === $mts_options['mts_breadcrumb'] ) {
											mts_the_breadcrumb();
										}
										?>
										<h1 class="single-title inner-page-title" itemprop="headline"><?php the_title(); ?></h1>
									</div>
									<div class="inner-page-header border-bottom clearfix">
										<?php mts_the_postinfo( 'single' ); ?>
									</div>
								</header><!--.headline_area-->
								<div class="single_post border-bottom">
									<div class="post-single-content box mark-links entry-content">
										<?php if ( has_post_thumbnail() && empty($header_animation) ) {
									        $post_id = get_the_ID();
									        $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'full' );
									        $image = $image[0];

									        $image_url = bfi_thumb( $image, array( 'width' => $thumb_w, 'height' => $thumb_h, 'crop' => true ) );

											echo '<img src="' . esc_url( $image_url ) . '" class="blog-image" alt="' . esc_attr( get_the_title() ) . '" title="' . esc_attr( get_the_title() ) . '" width="'. $thumb_w .'" height="'. $thumb_h .'" loading="lazy" />';
									    } else {
									        $image_url = '';
									    } ?>
										<?php if ($mts_options['mts_posttop_adcode'] != '') { ?>
											<?php $toptime = $mts_options['mts_posttop_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$toptime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="topad">
													<?php echo do_shortcode($mts_options['mts_posttop_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?>
										<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] == 'top') mts_social_buttons(); ?>
										<div class="thecontent" itemprop="articleBody">
											<?php the_content(); ?>
										</div>
										<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current"><span class="currenttext">', 'link_after' => '</span></span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => '<i class="fa fa-angle-right"></i>', 'previouspagelink' => '<i class="fa fa-angle-left"></i>', 'pagelink' => '%','echo' => 1 )); ?>
										<?php if ($mts_options['mts_postend_adcode'] != '') { ?>
											<?php $endtime = $mts_options['mts_postend_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$endtime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="bottomad">
													<?php echo do_shortcode($mts_options['mts_postend_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?>
										<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] !== 'top') mts_social_buttons(); ?>
									</div><!--.post-single-content-->
								</div><!--.single_post-->
								<?php
							break;

							case 'tags':
								?>
								<?php mts_the_tags('<span class="tagtext">'.__('Tags','mythemeshop').':</span>',', ') ?>
								<?php
							break;

							case 'related':
								mts_related_posts();
							break;

							case 'author':
								?>
								<div class="postauthor">
									<div class="inner-page-header border-bottom clearfix">
										<h4><?php _e('About The Author', 'mythemeshop'); ?></h4>
									</div>
									<div class="inner-page-header border-bottom clearfix">
										<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '100' );  } ?>
										<h5 class="vcard"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="fn"><?php the_author_meta( 'nickname' ); ?></a></h5>
										<p><?php the_author_meta('description') ?></p>
									</div>
								</div>
								<?php
							break;
						}
					}
					?>
				</div><!--.g post-->
				<?php comments_template( '', true ); ?>
			<?php endwhile; /* end loop */ ?>
		</div>
	</article>
	<?php get_sidebar(); ?>
<?php get_footer(); ?>
